#!/bin/sh
dbg=2

help()
{
    echo "$0 <1|2|3> avi_filename"
    echo "        1 - play audio stream"
    echo "        2 - play video stream"
    echo "        3 - play A/V stream"
}

[ -n "$2" ] || { help; exit 1; }
[ -f "$2" ] || { echo "cannot found $2."; exit 2; }

case "$1" in
"1")
    # play mp3 audio only from an avi movie
    gst-launch -v --gst-debug-level=$dbg  \
        filesrc location="$2" ! avidemux name=t t.audio_00 \
        ! queue ! mad ! osssink 
    ;;
"2")
    # play mpeg4 video only from an avi movie
    gst-launch -v --gst-debug-level=$dbg \
        filesrc location="$2" ! avidemux name=t t.video_00 ! \
        queue ! vdec codec=1 ! fbvideosink
    ;;
"3")
    # A/V playback
    GST_DEBUG="avidemux:2,mad:2,oss:2,gdecoder:2,fbvideosink:2" \
        gst-launch -v --gst-debug-level=$dbg  \
        filesrc location="$2" ! avidemux name=t  t.audio_00 ! \
        queue ! mad ! osssink  t.video_00 ! \
        queue ! vdec engine=GstEngine codec=1 pad-buf-alloc=true ! fbvideosink
    ;;
  *)
    help
    ;;
esac
